=== debian/changelog ===
python3-simple-frames (0.0.2-1.x202509151853e61c92e343) UNRELEASED; urgency=medium

  * CI Build for testing only

 -- root <root@33450fcd11d9>  Mon, 15 Sep 2025 18:53:00 +0000

python3-simple-frames (0.0.2-1) unstable; urgency=medium

  * Bug fix on the bindings.  Update the pybind11 interface definition to keep
    data from being freed after use.

 -- Jonathan Hanks <jhanks@caltech.edu>  Mon, 15 Sep 2025 11:51:19 -0700

python3-simple-frames (0.0.1-1) unstable; urgency=medium

  * Initial release of python3-simple-frames
  * A simple wrapper around FrameCPP to read data

 -- Jonathan Hanks <jhanks@caltech.edu>  Thu, 12 Sep 2025 00:00:00 +0000
