=== debian/control ===
Source: python3-simple-frames
Section: python
Priority: optional
Maintainer: Jonathan Hanks <jhanks@caltech.edu>
Build-Depends: debhelper-compat (= 13),
               cmake,
               pkg-config,
               python3-dev,
               libpython3-dev,
               pybind11-dev,
               ldas-tools-framecpp-dev,
               python3-setuptools,
               dh-python
Standards-Version: 4.6.2
Homepage: https://git.ligo.org/jonathan-hanks/python3-simple-frames
Vcs-Git: https://git.ligo.org/jonathan-hanks/python3-simple-frames.git
Vcs-Browser: https://git.ligo.org/jonathan-hanks/python3-simple-frames

Package: python3-simple-frames
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: A simple wrapper around FrameCPP to read data
 A simple wrapper around FrameCPP to read data
 .
 This provides basic capabilities to read one or more channels at a time from a given
 frame file.
 .
 In the future write capabilities may be added
